#!/bin/sh

[ ! -f /var/run/clid.pid ] && echo $$ > /var/run/clid.pid

# lookup input device for tinyclid with ID=6666:0002
device=$(ls -l /sys/class/input/event* | grep 6666:0002 | sed 's,.*/,/dev/input/,')

echo "$(date): keyboard event input device = $device"
if [ ! -e $device ]; then
	echo "$(date): $device not found"
	rm /var/run/clid.pid
	exit 1
fi

# main loop
while true; do
	echo "$(date): retrieve clid message"
	clid=$(tinyclid read | sed 's,Clid message: ,,')
	if echo $clid | grep -q .; then
		echo "$(date): clid = $clid"
		echo "$(date): process clid message"
		/root/bin/remoteclid $clid
		echo "$(date): clear clid message"
		tinyclid clear
	fi
	if [ ! -e $device ]; then
		echo "$(date): $device disconnected"
		rm /var/run/clid.pid
		exit 1
	fi
	# wait for key
	echo "$(date): start waiting for $device key"
	cat $device | grep -q .
	echo "$(date): $device key received"
done

